Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168.taglib
Class GenerateURLTagTEI

    java.lang.Object
      javax.servlet.jsp.tagext.TagExtraInfo
          org.jboss.portal.portlet.impl.jsr168.taglib.GenerateURLTagTEI

Direct Known Subclasses:
  GenerateURL286TagTEI

    public class GenerateURLTagTEI

extends javax.servlet.jsp.tagext.TagExtraInfo

The additional variable definitions for the actionURL tag for the JSR 168 Portlet specification.

Version:
  $Revision: 5448 $
Author:
  Sherman Wood

Constructor Summary
`GenerateURLTagTEI()`

Method Summary
`javax.servlet.jsp.tagext.VariableInfo[]` | `getVariableInfo(javax.servlet.jsp.tagext.TagData data)`
`boolean` | `isPortletModeValid(javax.servlet.jsp.tagext.TagData data)`
`boolean` | `isSecureValid(javax.servlet.jsp.tagext.TagData data)`
`boolean` | `isValid(javax.servlet.jsp.tagext.TagData data)`
`boolean` | `isWindowStateValid(javax.servlet.jsp.tagext.TagData data)`

Methods inherited from class javax.servlet.jsp.tagext.TagExtraInfo
`getTagInfo, setTagInfo, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenerateURLTagTEI

    public GenerateURLTagTEI()

Method Detail

### isValid

    public boolean isValid(javax.servlet.jsp.tagext.TagData data)

  Overrides:
    `isValid` in class `javax.servlet.jsp.tagext.TagExtraInfo`

### isWindowStateValid

    public boolean isWindowStateValid(javax.servlet.jsp.tagext.TagData data)

### isPortletModeValid

    public boolean isPortletModeValid(javax.servlet.jsp.tagext.TagData data)

### isSecureValid

    public boolean isSecureValid(javax.servlet.jsp.tagext.TagData data)

### getVariableInfo

    public javax.servlet.jsp.tagext.VariableInfo[] getVariableInfo(javax.servlet.jsp.tagext.TagData data)

  Overrides:
    `getVariableInfo` in class `javax.servlet.jsp.tagext.TagExtraInfo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.